Package org.eclipse.birt.report.model.api.extension

# Interface IChoiceDefinition

All Known Implementing Classes:
  `ChoiceDefinition`

public interface IChoiceDefinition
Defines a choice within a list of property choices defined by a peer extension.

## Method Summary

Modifier and Type
Method
Description
`String`
`getDisplayNameID()`
Returns the resource key for localized display name of this choice.
`String`
`getName()`
Returns the non-localized, internal version of the choice.
`Object`
`getValue()`
Returns the value to which this choice corresponds.

## Method Details

### getDisplayNameID

String getDisplayNameID()
Returns the resource key for localized display name of this choice.

Returns:
  the resource key for localized display name of this choice.

### getName

String getName()
Returns the non-localized, internal version of the choice.

Returns:
  the non-localized internal choice value

### getValue

Object getValue()
Returns the value to which this choice corresponds. For example, a color may have a name and a value that is an RGB value. The value is optional.

Returns:
  the value that this choice represents